summaryrefslogtreecommitdiffstats
path: root/print/dvips
diff options
context:
space:
mode:
authorjkh <jkh@FreeBSD.org>1994-09-30 00:54:06 +0000
committerjkh <jkh@FreeBSD.org>1994-09-30 00:54:06 +0000
commit8d9f9dda1f3b377a074cd3a5438944099b168166 (patch)
tree715d47ceed9a2b737ff2bbef5fa5de37e3a84e53 /print/dvips
parent8fa47fb8a512517752ed194c55e49305170c1d3f (diff)
downloadFreeBSD-ports-8d9f9dda1f3b377a074cd3a5438944099b168166.zip
FreeBSD-ports-8d9f9dda1f3b377a074cd3a5438944099b168166.tar.gz
Jean-Marc Zucconi's dvips port.
Submitted by: jmz
Diffstat (limited to 'print/dvips')
-rw-r--r--print/dvips/Makefile6
-rw-r--r--print/dvips/pkg-comment1
-rw-r--r--print/dvips/pkg-descr6
-rw-r--r--print/dvips/pkg-plist29
-rw-r--r--print/dvips/scripts/configure68
5 files changed, 110 insertions, 0 deletions
diff --git a/print/dvips/Makefile b/print/dvips/Makefile
new file mode 100644
index 0000000..0d1b68f
--- /dev/null
+++ b/print/dvips/Makefile
@@ -0,0 +1,6 @@
+DISTFILES= dvips558.tar.gz
+DISTNAME= dvips
+MASTER_SITES= ftp://ftp.tex.ac.uk/tex-archive/dviware/dvips/
+
+
+.include <bsd.port.mk>
diff --git a/print/dvips/pkg-comment b/print/dvips/pkg-comment
new file mode 100644
index 0000000..24bb5d8
--- /dev/null
+++ b/print/dvips/pkg-comment
@@ -0,0 +1 @@
+dvips - convert a TeX DVI file to PostScript. Version 5.58
diff --git a/print/dvips/pkg-descr b/print/dvips/pkg-descr
new file mode 100644
index 0000000..7e37194
--- /dev/null
+++ b/print/dvips/pkg-descr
@@ -0,0 +1,6 @@
+The program dvips takes a DVI file [.dvi] produced by TeX (or by some
+other processor such as GFtoDVI) and converts it to PostScript,
+normally sending the result directly to the laserprinter. Fonts used
+may either be resident in the printer or defined as bitmaps in PK
+files, or a `virtual' combination of both. Dvips will automatically
+invoke METAFONT to generate fonts that don't already exist.
diff --git a/print/dvips/pkg-plist b/print/dvips/pkg-plist
new file mode 100644
index 0000000..f7a02bd
--- /dev/null
+++ b/print/dvips/pkg-plist
@@ -0,0 +1,29 @@
+@cd /usr/local
+@owner bin
+@group bin
+@mode 755
+bin/afm2tfm
+bin/dvips
+bin/MakeTeXPK
+@mode 644
+lib/texmf/ps/tex.pro
+lib/texmf/ps/texc.pro
+lib/texmf/ps/texps.pro
+lib/texmf/ps/special.pro
+lib/texmf/ps/finclude.pro
+lib/texmf/ps/color.pro
+lib/texmf/ps/crop.pro
+lib/texmf/ps/config.ps
+lib/texmf/ps/psfonts.map
+lib/texmf/tex/epsf.tex
+lib/texmf/tex/epsf.sty
+lib/texmf/tex/rotate.tex
+lib/texmf/tex/rotate.sty
+lib/texmf/tex/colordvi.sty
+lib/texmf/tex/colordvi.tex
+lib/texmf/tex/blackdvi.sty
+lib/texmf/tex/blackdvi.tex
+lib/texmf/tex/dvips.tex
+lib/texmf/tex/dvipsmac.tex
+man/man1/dvips.1
+man/man1/afm2tfm.1
diff --git a/print/dvips/scripts/configure b/print/dvips/scripts/configure
new file mode 100644
index 0000000..7f0bbfc
--- /dev/null
+++ b/print/dvips/scripts/configure
@@ -0,0 +1,68 @@
+#!/bin/sh
+
+
+if [ $# != 3 ]; then exit 1; fi
+
+SRCDIR=$3
+
+# paper size, default is no nor A4
+A4=n
+#default font cache directory: must be world writable
+CACHE=/tmp
+
+
+if [ ! -f $SRCDIR/MakeTeXPK.orig ]; then
+ mv $SRCDIR/MakeTeXPK $SRCDIR/MakeTeXPK.orig || exit 1
+fi
+#find the resolutions
+RES=`awk '{if(/test $BDPI/) printf "%s ",$5}' < $SRCDIR/MakeTeXPK.orig`
+# and the corresponding modes
+MODES=`awk -F= '{if(/MODE=[a-zA-Z]/) print $2}' < $SRCDIR/MakeTeXPK.orig`
+set $MODES
+echo "I need to set the mode of our printing/output device for the resolutions"
+echo "$RES dpi. (the mode must be in your modes.mf file)"
+SUBST=
+for i in $RES; do
+ echo -n "mode for $i dpi [$1]: ";
+ read answ; if [ "$answ" = "" ]; then answ=$1; fi
+ SUBST="$SUBST -e s/MODE=$1/MODE=$answ/"
+ shift
+done
+
+echo "Choose a font cache directory for automatic font generation"
+echo -n "(this directory must be world writable) [$CACHE]: "
+read answ; if [ "$answ" != "" ]; then CACHE=$answ; fi
+
+sed -e s:/usr/lib/tex:/usr/local/lib/texmf: \
+ -e s:/LocalLibrary/Fonts/TeXFonts:$CACHE: \
+ $SUBST <$SRCDIR/MakeTeXPK.orig >$SRCDIR/MakeTeXPK
+
+#configure config.ps
+if [ ! -f $SRCDIR/config.ps.orig ]; then
+ mv $SRCDIR/config.ps $SRCDIR/config.ps.orig || exit 1
+fi
+RES=`awk '{if (/^D /) print $2}' <$SRCDIR/config.ps.orig`
+echo -n "what is the resolution of your printer (in dpi) [$RES]: ";
+read res; if [ "$res" = "" ]; then res=$RES; fi
+echo -n "do you want to use A4 paper? [$A4]: "
+read answ; if [ "$answ" = "" ]; then answ=$A4; fi
+
+if [ $answ = y ]; then
+ sed -e 's/\(^\*\)\(.*A4\)/\2/' -e 's/^@ letterSize/*@ letterSize/' \
+ -e "s/^D $RES/D $res/" <$SRCDIR/config.ps.orig > $SRCDIR/config.ps
+else
+ sed -e "s/^D $RES/D $res/" <$SRCDIR/config.ps.orig > $SRCDIR/config.ps
+fi
+
+#makefile
+echo "TEXDIR=/usr/local/lib/texmf" >> $SRCDIR/Makefile || exit 1;
+echo "LOCALDIR=$CACHE" >> $SRCDIR/Makefile
+echo "TEXMACRODIR=\$(TEXDIR)/tex" >> $SRCDIR/Makefile
+echo "FIGPATH = .:..:\$(TEXDIR)/tex" >> $SRCDIR/Makefile
+echo "MANDIR=/usr/local/man/man1" >> $SRCDIR/Makefile
+echo "DEFS= -DTPIC -DDEBUG -DDEFRES=$res" >> $SRCDIR/Makefile
+echo "OPT = -O2 -funsigned-char" >> $SRCDIR/Makefile
+echo "BINDIR=/usr/local/bin" >> $SRCDIR/Makefile
+echo "FLIBS=-lm" >> $SRCDIR/Makefile
+
+exit 0;
OpenPOWER on IntegriCloud